Summary:	Mixxx - DJ tool
Summary(hu.UTF-8):	Mixxx - DJ program
Summary(pl.UTF-8):	Mixxx - narzędzie dla DJ-ów
Name:		mixxx
Version:	1.11.0
Release:	1
License:	GPL/GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://downloads.mixxx.org/mixxx-%{version}/%{name}-%{version}-src.tar.gz
# Source0-md5:	89ee8ba60824919d8dd1194287bda259
Patch0:		desktop.patch
URL:		http://mixxx.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	Qt3Support-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtSvg-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXmlPatterns-devel
BuildRequires:	audiofile-devel
BuildRequires:	fftw-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libmad-devel
BuildRequires:	libshout-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel
BuildRequires:	portmidi-devel >= 217
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	scons
BuildRequires:	vamp-devel
BuildRequires:	sed >= 4.0
Requires:	QtSql-sqlite3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mixxx is an open source DJ tool designed for both professional and
amateur DJs alike.

%description -l hu.UTF-8
Mixxx egy nyílt forrású DJ eszköz profi és amatőr DJ-knek egyaránt.

%description -l pl.UTF-8
Mixxx to mające otwarte źródła narzędzie dla DJ-ów zaprojektowane
zarówno dla profesjonalistów jak i amatorów.

%package skins-core
Summary:	The core skins for Mixxx
Summary(hu.UTF-8):	Alap skinek a Mixxx-hez
Group:		X11/Applications/Multimedia

%description skins-core
The core skins for Mixxx.

%description skins-core -l hu.UTF-8
Alap skinek a Mixxx-hez.

%package translations
Summary:	Translations for Mixxx
Summary(hu.UTF-8):	Nyelvi fájlok a Mixxx-hez
Group:		X11/Applications/Multimedia

%description translations
Translations for Mixxx.

%description translations -l hu.UTF-8
Nyelvi fájlok a Mixxx-hez.

%prep
%setup -q
%patch0 -p1

%build
export CXXFLAGS="%{rpmcxxflags}"
export CCFLAGS="%{rpmcflags}"
export CXX="%{__cxx}"
export QMAKE_CXX="%{__cxx}"
%scons

%install
rm -rf $RPM_BUILD_ROOT
export CXXFLAGS="%{rpmcxxflags}"
export CCFLAGS="%{rpmcflags}"
export CXX="%{__cxx}"
export QMAKE_CXX="%{__cxx}"
%scons install install_root=$RPM_BUILD_ROOT install

# I don't know why doesn't use 'prefix' option...
install -d $RPM_BUILD_ROOT%{_prefix}
mv $RPM_BUILD_ROOT/{bin,share} $RPM_BUILD_ROOT%{_prefix}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/mixxx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Mixxx-Manual.pdf
%attr(755,root,root) %{_bindir}/mixxx
%dir %{_datadir}/mixxx
%dir %{_datadir}/mixxx/skins
%dir %{_datadir}/mixxx/translations
%{_datadir}/mixxx/skins/cross.*
# This is the default skin
%{_datadir}/mixxx/skins/Outline1024x600-Netbook
# %{_datadir}/mixxx/skins/outlineNetbook
%{_datadir}/mixxx/schema.xml
%{_datadir}/mixxx/controllers
%{_datadir}/mixxx/keyboard
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}-icon.png

%files translations
%defattr(644,root,root,755)
%{_datadir}/mixxx/translations/*

%files skins-core
%defattr(644,root,root,755)
%{_datadir}/mixxx/skins/*
%exclude %{_datadir}/mixxx/skins/cross.*
%exclude %{_datadir}/mixxx/skins/Outline1024x600-Netbook
%changelog
* Wed Dec 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mixxx.git;a=log;h=master

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> a2bb1b0
- up to 1.11.0

* Mon Jul 02 2012 Zsolt Udvari <uzsolt@pld-linux.org> 0a83417
- 1.10.1

* Mon Dec 26 2011 Zsolt Udvari <uzsolt@pld-linux.org> 388c090
- 1.10.0
- translations subpackage
- simplify core-skin subpackage list

* Mon Nov 07 2011 Zsolt Udvari <uzsolt@pld-linux.org> 5e23bfc
- 1.9.2

* Thu Jul 28 2011 Zsolt Udvari <uzsolt@pld-linux.org> 190ee94
- desktop.patch
- rel 3

* Thu Jul 28 2011 Zsolt Udvari <uzsolt@pld-linux.org> 4f6e8d7
- initial
- not needed pasuspender

* Fri Mar 04 2011 Zsolt Udvari <uzsolt@pld-linux.org> 9738340
- add hungarian summary and description to skins-core package

* Wed Feb 23 2011 Zsolt Udvari <uzsolt@pld-linux.org> 76f4d01
- unneeded

* Wed Feb 23 2011 Zsolt Udvari <uzsolt@pld-linux.org> 9128887
- skins-core subpackage
- remove patch0
- remove %undos (unneeded)

* Wed Feb 23 2011 Zsolt Udvari <uzsolt@pld-linux.org> c31b9ce
- 1.9.0
-disable patch0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c6558f8
- BR: QtOpenGL-devel, QtSvg-devel, QtXmlPatterns-devel, qt4-build,
  qt4-linguist, scons

* Sat Jan 29 2011 lisu <lisu@pld-linux.org> 8b5a468
- undos src/SConscript.env to avoid errors when patching

* Sat Jan 29 2011 lisu <lisu@pld-linux.org> 9bf8d51
- fix pottime dep

* Sat Jan 29 2011 lisu <lisu@pld-linux.org> 8dfba9b
- add -porttime.patch which fixes porttime dependency

* Sat Jan 29 2011 lisu <lisu@pld-linux.org> 90e9d3d
- BR: QtScript-devel, QtWebKit-devel, portmidi-devel >= 217
- use scons and __rm macro

* Sat Jan 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 397ab24
- release 3

* Wed Jan 19 2011 Zsolt Udvari <uzsolt@pld-linux.org> 11fc73f
- rel 2 (because of portmidi update)

* Mon Jan 17 2011 Zsolt Udvari <uzsolt@pld-linux.org> a8cd0ea
- requires QtSql-sqlite3

* Tue Jan 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> 9d3aa6b
- hu summ and desc
- rel 1 (works for me)

* Tue Jan 04 2011 Zsolt Udvari <uzsolt@pld-linux.org> 0a70bda
- 1.8.2
- change url, source
- use scons to build, install

